Skip to navigation

List Scripts

Returns a list of Scripts. Optional parameters can be passed in.

This operation will only return scripts generated by the API key and password used to create the script originally.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Checkout Contentmodifystore_content_checkout
Checkout Contentread-onlystore_content_checkout_read_only
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

To read or modify scripts on checkout pages, add Checkout Content scopes.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

sortenumOptional

Field name to sort the scripts by. Note: Since id increments when new scripts are added, you can use that field to sort by script create date.

Allowed values:
directionenumOptional

Sort direction. Acceptable values are: asc, desc.

Allowed values:
channel_id:inlist of integersOptional
Filters list of scripts by the associated channel ID.

Response

OK
datalist of objectsOptional
metaobjectOptional
Data about the response, including pagination and collection totals.

Errors

422
Unprocessable Entity Error